# Get a Stream

Launch stage: Beta

`GET /api/2.0/feature-engineering/streams/{name}`

Get a Stream by its full three-part name (catalog.schema.stream).

API scopes: mlflow

## Path parameters

- `name` (string, required)
  Full three-part name (catalog.schema.stream) of the Stream to get.

## Returns

Returns the Stream object.

## Response

```json
{
  "name": "string",
  "description": "string",
  "source_config": {
    "kafka_stream_config": {},
    "kinesis_stream_config": {}
  },
  "connection_config": {
    "uc_connection_name": "string",
    "direct_mtls_config": {}
  },
  "schema_config": {
    "direct_schemas": {},
    "schema_registry_config": {}
  },
  "ingestion_config": {
    "ingestion_destination": {},
    "backfill_source": {},
    "deduplication_columns": [
      "string"
    ],
    "ingestion_pipeline_id": "string",
    "ingestion_job_id": 0,
    "backfill_job_id": 0
  },
  "record_type_filter": "string",
  "excluded_columns": [
    "string"
  ],
  "create_time": "string",
  "created_by": "string",
  "update_time": "string",
  "updated_by": "string",
  "browse_only": true
}
```

